CVE-2011-2481

MEDIUM

Description

Apache Tomcat 7.0.x before 7.0.17 permits web applications to replace an XML parser used for other web applications, which allows local users to read or modify the (1) web.xml, (2) context.xml, or (3) tld files of arbitrary web applications via a crafted application that is loaded earlier than the target application. NOTE: this vulnerability exists because of a CVE-2009-0783 regression.

References

http://marc.info/?l=bugtraq&m=139344343412337&w=2

http://secunia.com/advisories/57126

http://securitytracker.com/id?1025924

http://svn.apache.org/viewvc?view=revision&revision=1137753

http://svn.apache.org/viewvc?view=revision&revision=1138788

http://tomcat.apache.org/security-7.html

http://www.securityfocus.com/bid/49147

https://issues.apache.org/bugzilla/show_bug.cgi?id=51395

Details

Source: MITRE

Published: 2011-08-15

Updated: 2017-05-23

Risk Information

CVSS v2.0

Base Score: 4.6

Vector: AV:L/AC:L/Au:N/C:P/I:P/A:P

Impact Score: 6.4

Exploitability Score: 3.9

Severity: MEDIUM